Skip to main content
GET
List placements.

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parámetros de consulta

search
string | null

Search by name, external_placement_id, or template name.

order_by
enum<string> | null

Field to order placements by.

Opciones disponibles:
name,
external_placement_id,
template_name
direction
enum<string> | null

Direction to order placements (asc or desc).

Opciones disponibles:
asc,
desc
next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

limit
integer
predeterminado:25

Limit of placements to retrieve.

Rango requerido: x <= 50
json_template_id
string<uuid> | null

Filter by JSON template ID.

Respuesta

Successful Response

hasMore
boolean
requerido

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

placements
Placement · object[]
requerido

List of placements

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Ejemplo:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="